Bug 62401 - .docx file shows extra page number on both sides of page
Summary: .docx file shows extra page number on both sides of page
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other Mac OS X (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-16 09:02 UTC by brian.bj.parker99
Modified: 2015-03-25 08:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example docx file showing incorrect rendering of page numbers (139.61 KB, application/zip)
2013-03-16 09:02 UTC, brian.bj.parker99
Details
Corrected attachment showing extra page number bug. (75.79 KB, application/zip)
2013-03-20 23:09 UTC, brian.bj.parker99
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brian.bj.parker99 2013-03-16 09:02:42 UTC
Created attachment 76601 [details]
example docx file showing incorrect rendering of page numbers

Attached is an example Word document (produced on Mac OSX) demonstrating a bug that produces an extra page number on the opposite side of the page as the correct page number. I have attached the .docx file (lo_bug_page_num.docx) and pdfs showing the correct output (lo_bug_page_num_word.pdf)  and LibreOffice output (lo_bug_page_num_lo.pdf).

The Word version the file was open on was:
Word 2008 for Mac
Version 12.3.1

and the LbreOffice version was:
Version 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)
TinderBox: MacOSX TDF Release, Branch:libreoffice-4-0, Time: 2013-02-27_17:15:43
Comment 1 Jorendc 2013-03-20 20:34:03 UTC
Hi,

Thanks for reporting.

Can you please clarify this a bit more. I open both docx files using Linux Mint 14 x64 and LibreOffice Version 4.1.0.0.alpha0+ (Build ID: b4966ea69ff0ad6944bd16d8a09ecb27a1704c1). I have same "behavior" as displayed in the LO-pdf files. But I think I get your Description well. The only thing I see is that the text between brackets looks different (on file 1 it is a link (underlined and blue font, on file 2 the word "table" is a bit bigger). What do you mean with 
(In reply to comment #0)

> Attached is an example Word document (produced on Mac OSX) demonstrating a
> bug that produces an extra page number on the opposite side of the page as
> the correct page number. 

I don't see an extra page number (also not in the PDF files)?

Kind regards,
Joren
Comment 2 brian.bj.parker99 2013-03-20 23:09:17 UTC
Created attachment 76853 [details]
Corrected attachment showing extra page number bug.

Uploaded correct attachment to replace previous incorrect upload.
Comment 3 brian.bj.parker99 2013-03-28 19:41:22 UTC
Some additional info- if I first save the docx first as doc in Word and then open that .doc file in LO then the bug disappears, so this appears to be specific to docx.
Comment 4 Jorendc 2013-04-17 10:14:33 UTC
Thanks for providing more information! 

I can reproduce this now :-), and confirm there are 2 page numbers (one on the left, one on the right) as shown in the pdf export using Mac OSX 10.8.3 with LibreOffice Version 4.0.2.2 (Build ID: 4c82dcdd6efcd48b1d8bba66bfe1989deee49c3)
TinderBox: MacOSX TDF Release, Branch:libreoffice-4-0, Time: 2013-03-26_15:52:16

I also can reproduce this usinb LibreOffice Version: 4.1.0.0.alpha0+
Build ID: 7fbea4712774467fcf7edf535905f02c586ccfe

I also can confirm Word for Mac 2011 shows only 1 page number (see word export in the zip file).

Therefore I mark this as NEW. I also can reproduce this from scratch.

* Open Word (for Mac)
* Insert > Page numbers
* Position: bottom of page (Footer), Alignment: right, "Checked" show number on first page.
* OK
* Save file as .docx
* Open using LibreOffice

Behavior: page number on both sides.

Priority: medium, high.

Mac OSX only? Or is it also reproducible (from scratch) using Microsoft?

Kind regards,
Joren
Comment 5 brian.bj.parker99 2015-03-24 10:54:12 UTC
This appears fixed in LO 4.4.1.2 on OSX
Comment 6 Jean-Baptiste Faure 2015-03-25 08:19:40 UTC
(In reply to brian.bj.parker99 from comment #5)
> This appears fixed in LO 4.4.1.2 on OSX

Thank you for your test. So closing as WorksForMe.

Best regards. JBF